*Restrepo BJ, Rieger M. Denmark's Policy on Artificial Trans Fat and Cardiovascular Disease. Am J Prev Med. 2016 Jan;50(1):69-76. doi: 10.1016/j.amepre.2015.06.018. Epub 2015 Aug 28. PMID: 26319518.

*Replication of main results, Table 1, Figure 1 - Panel A

*Install synthetic control package
ssc install synth 

*Clear data
clear all

*Set working directory here
cd "C:\...Denmark Replication Files"
 
use "oecd_all.dta",clear

set more off

*we want to evaluate the impact of NATIONAL trans fat bans
*drop countries that have had mandatory trans fat labeling policies (Canada, Korea, and USA)
*drop Netherlands b/c it had "voluntary TFA self-regulation" of restaurants
*note that we don't drop countries that have had smoke-free regulations
*****smoking laws*****
*http://www.no-smoke.org/goingsmokefree.php?id=633
*http://www.epha.org/a/1941

drop if countrycode==4 | countrycode==19 | countrycode==34 | countrycode==22

*focus on Denmark so drop Austria, Iceland, and Switzerland

drop if countrycode==2 | countrycode==14 | countrycode==31

sort countrycode year
merge countrycode year using "gdp.dta"
drop _merge

sort countrycode year
merge countrycode year using "percageover65.dta"
drop _merge

sort countrycode year
merge countrycode year using "foodpriceinf.dta"
drop _merge

sort countrycode year
merge countrycode year using "alcohol_pc.dta"
drop _merge

sort countrycode year
merge countrycode year using "tobacco_pspd.dta"
drop _merge

sort countrycode year
merge countrycode year using "bmi.dta"
drop _merge

sort countrycode year
merge countrycode year using "cholesterol.dta"
drop _merge

sort countrycode year
merge countrycode year using "bloodpressure.dta"
drop _merge

sort countrycode year
merge countrycode year using "healthexp_pc.dta"
drop _merge

sort countrycode year
merge countrycode year using "fruitveg_pc.dta"
drop _merge

sort countrycode year
merge countrycode year using "oecd_total_pop.dta"
drop _merge

keep if year>=1990 & year<=2012

egen countcvd=count(allcvd), by(countrycode)
keep if countcvd==23

gen loggdp=log(gdp)
gen logalc=log(alcohol_pc)
gen logtob=log(tobacco_pspd)
gen logbmi=log(bmi)
gen logcholesterol=log(totcholesterol)
gen logbloodpressure=log(sysbloodpressure)
gen loghealthexp=log(healthexp_pc)
gen logfruitveg=log(fruitveg_pcpd)

*Table 1
synth allcvd allcvd(1990) allcvd(1995) allcvd(2000) allcvd(2003) loggdp percageover65 foodpriceinf logalc logtob logbmi logcholesterol logbloodpressure loghealthexp logfruitveg, trunit(7) trperiod(2004) fig nested allopt keep(main) replace

*Estimates by male and female
synth male_allcvd male_allcvd(1990) male_allcvd(1995) male_allcvd(2000) male_allcvd(2003) loggdp percageover65 foodpriceinf logalc logtob logbmi logcholesterol logbloodpressure loghealthexp logfruitveg, trunit(7) trperiod(2004) fig nested allopt keep(main) replace

synth female_allcvd female_allcvd(1990) female_allcvd(1995) female_allcvd(2000) female_allcvd(2003) loggdp percageover65 foodpriceinf logalc logtob logbmi logcholesterol logbloodpressure loghealthexp logfruitveg, trunit(7) trperiod(2004) fig nested allopt keep(main) replace
